---
deprecated: true
search:
  tags:
    - Videos
    - GET
seo:
  description: >-
    Retrieves a single video with its variants,… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/videos/{video_id} endpoint in the Management
    API.
sidebar:
  label: Get video by ID
  badge: GET
title: Get video by ID
type: openapi-operation
---
Retrieves a single video with its variants, translations, attributes, and information about products/variants using this video.
Deprecated: use GET /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/videos/&#123;video_id&#125; instead.

`GET /api/v1/{team_slug}/{app_slug}/videos/{video_id}`

**Deprecated.**

**Responses**

- `200` — Got video
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "description": "string",
    "folder_id": "string",
    "id": "string",
    "path": "string",
    "public": true,
    "status": "string",
    "title": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "used_by": [
      {
        "created_at": "string",
        "id": "string",
        "name": "string",
        "priority": 0,
        "slug": "string",
        "type": "product",
        "updated_at": "string"
      }
    ],
    "variants": [
      {
        "format": "string",
        "height": 0,
        "url": "string",
        "width": 0
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
